### Abstract ###

Name: gtkhtml2
Version: 2.11.1
Release: 10%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
Summary: An HTML widget for GTK+ 2.0
URL: http://www.gnome.org/
Source: http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.11/libgtkhtml-%{version}.tar.bz2

### Build Dependencies ###

BuildRequires: fontconfig
BuildRequires: gail-devel
BuildRequires: gtk2-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: pango-devel

%description
GtkHTML2 (sometimes called libgtkhtml) is a widget for
displaying html pages.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libgtkhtml-%{version}

%build
%configure --disable-static
make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LIB NEWS AUTHORS ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtkhtml-2.0
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Oct 25 2010 Colin Walters <walters@verbum.org> - 2.11.1-10
- Rebuild to pick up previous pygobject API
  https://bugzilla.redhat.com/show_bug.cgi?id=645844

* Tue Oct 12 2010 Parag Nemade <paragn AT fedoraproject.org> - 2.11.1-9
- Merge-review cleanup (#225871)

* Mon Mar 08 2010 Matthew Barnes <mbarnes@redhat.com> - 2.11.1-8
- Stop pulling in gnome-vfs2 just for some test programs.

* Fri Jan 08 2010 Matthew Barnes <mbarnes@redhat.com> - 2.11.1-7
- Provide a complete URI for the Source field.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.11.1-4
- Fix license tag

* Sat Feb 09 2008 Matthew Barnes <mbarnes@redhat.com> - 2.11.1-3
- Rebuild with GCC 4.3

* Wed Aug 22 2007 Matthew Barnes <mbarnes@redhat.com> - 2.11.1-2
- Mass rebuild

* Mon Aug 13 2007 Matthew Barnes <mbarnes@redhat.com> - 2.11.1-1
- Update to 2.11.1

* Thu Mar 15 2007 Karsten Hopp <karsten@redhat.com> 2.11.0-4
- rebuild with current gtk2 to add png support (#232013)

* Thu Jul 13 2006 Matthis Clasen <mclasen@redhat.com> - 2.11.0-3
- Rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.11.0-2.1
- rebuild

* Fri Jun 30 2006 Matthew Barnes <mbarnes@redhat.com> - 2.11.0-2
- Fix missing BuildRequires (RH #197146).
- Some cosmetic changes.

* Sat May 20 2006 Matthew Barnes <mbarnes@redhat.com> - 2.11.0-1
- Update to 2.11.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.6.3-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.6.3-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Feb 28 2005 Matthias Clasen <mclasen@redhat.com> - 2.6.3-1
- Update to 2.6.3

* Wed Aug 18 2004 David Malcolm <dmalcolm@redhat.com> - 2.6.2-1
- updated from 2.6.0 to 2.6.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 2.5.6-1
- update to 2.5.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.5.5-1
- update to 2.5.5

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 2.5.2-1
- new version

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0.-1
- Update to 2.4.0

* Tue Aug 19 2003 Alexander Larsson <alexl@redhat.com> 2.3.5-1
- update for gnome 2.3

* Wed Aug  6 2003 Elliot Lee <sopwith@redhat.com>
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 24 2003 Bill Nottingham <notting@redhat.com> 2.2.0-6
- use /usr/bin/libtool

* Wed Feb 19 2003 Alexander Larsson <alexl@redhat.com>
- Add patch that fixes a GtkStyle ref bug. (#82993)

* Fri Feb 14 2003 Jeremy Katz <katzj@redhat.com> 2.2.0-4
- fix build requires

* Thu Jan 30 2003 Matt Wilson <msw@redhat.com> 2.2.0-3
- disable optimizations on x86_64 to work around gcc bug

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- Update to 2.2.0

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 2.1.8-3
- Don't ship the static libs

* Tue Jan  7 2003 Alexander Larsson <alexl@redhat.com> 2.1.8-2
- Require gail 1.0

* Tue Jan  7 2003 Alexander Larsson <alexl@redhat.com> 2.1.8-1
- Update to 2.1.8
- Removed patch, as that problem looks solved upstream.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 2.0.1-3
- Remove unpackaged files

* Mon Sep  2 2002 Matt Wilson <msw@redhat.com>
- added a patch to avoid crashes during html document destruction

* Thu Aug  8 2002 Alexander Larsson <alexl@redhat.com>
- Update to 2.0.1, fixes #67866

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.99.9

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.99.7

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.99.6

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new gail, 1.99.5

* Fri Apr  5 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.3

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild for new gnome2 libraries

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com>
- Initial build.
